/*
        setpar.c
*/
/*

    This is a replacement for the SETPAR.f FORTRAN-callable subroutine.
    It sets the number of bits per word (kbit), 
    and the largest negative number (kneg).
    The diagnostic print option is no longer supported (kpar).

*/
#include <limits.h>

#ifndef CRAY
#define SETPAR setpar_
#endif

void SETPAR(int * kbit, int * kneg, int * kpar)
{
    *kbit = sizeof(int)*8 ;
    *kneg = LONG_MIN ;
    return;
}
